ngcp-www-csc (3.9.0.1+0~mr3.2.1.1) unstable; urgency=low

  [ Victor Seva ]
  * [16f107e] MT#5911 nginx > 1.3.4 changes the default ipv6only value of listen option.

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 21 Mar 2014 17:16:44 +0100

ngcp-www-csc (3.9.0+0~mr3.2.1) unstable; urgency=medium

  [ Victor Seva ]
  * [272f118] MT#5587 remove old commands for previous fixes and migrations
  * [3f0b753] MT#5587 create the enable nginx link with .links
  * [b7c199d] MT#5417 Add missing nginx template service file to debian package
  * [5f55983] MT#5417 fix typo
  * [25adf73] MT#5417 fix template
  * [1f1fd78] MT5747 redirect querys to the handbook to ngcp-panel (port 80)

  [ Alexander Lutay ]
  * [2862f94] MT#5417 Fix non-SSL redirect to SSL port for CSC

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Sat, 01 Feb 2014 19:30:40 +0100

ngcp-www-csc (3.8.4) unstable; urgency=low

  * [044096f] MT#4909 Fix french menu style
  * [c2e79bb] MT#4909 Fix spanish menu style

 -- Gerhard Jungwirth <gjungwirth@sipwise.com>  Fri, 13 Dec 2013 11:53:24 +0100

ngcp-www-csc (3.8.3) unstable; urgency=low

  * [c391589] MT#5343 fix provides service name on template

 -- Victor Seva <vseva@sipwise.com>  Tue, 10 Dec 2013 14:25:13 +0100

ngcp-www-csc (3.8.2) unstable; urgency=low

  * [f86310e] MT#5291 install init scripts templates in the right dir
  * [d6b01fe] MT#5287 increase number of workers

 -- Victor Seva <vseva@sipwise.com>  Thu, 05 Dec 2013 15:53:24 +0100

ngcp-www-csc (3.8.1) unstable; urgency=low

  * [de902b2..25917ee] MT#4895 drop root privileages

 -- Victor Seva <vseva@sipwise.com>  Thu, 07 Nov 2013 17:16:17 +0100

ngcp-www-csc (3.8.0) unstable; urgency=low

  * [1bb4c31] MT#4361 Add default file to ngcp-www-csc daemon.
  * [2f2adc6] MT#4121 force apache to stop listen on 80 or 443
  * [5d9c03e] MT#4121 force apache to stop listen on 80 or 443. Check always
  * [6a1771a] MT#4121 create the link to enable fastcgi daemon on nginx
  * [b312a07] MT#4361 we need to predepend on apache to be sure the ports.conf is there
  * [90e89c9] MT#4361 MT#4121 revert b312a07a. Check if ports.conf is there first.
  * [025aa51] MT#4449 fix upgrade from 3.0

 -- Victor Seva <vseva@sipwise.com>  Tue, 29 Oct 2013 17:45:49 +0100

ngcp-www-csc (3.7.2) unstable; urgency=low

  * [164c4ee] MT#3823 Extended user/pass fields to 200px.

 -- Andreas Granig <agranig@sipwise.com>  Fri, 11 Oct 2013 00:21:50 +0200

ngcp-www-csc (3.7.1) unstable; urgency=low

  * [a964857] Make apache restart gradeful.

 -- Andreas Granig <agranig@sipwise.com>  Thu, 08 Aug 2013 18:12:19 +0200

ngcp-www-csc (3.7.0) unstable; urgency=low

  * Start changelog for NGCP 3.0 release.

 -- Andrew Pogrebennyk <apogrebennyk@sipwise.com>  Thu, 08 Aug 2013 10:53:01 +0200

ngcp-www-csc (3.6.2) unstable; urgency=low

  * Shorten german top level menu entries.

 -- Andreas Granig <agranig@sipwise.com>  Wed, 24 Jul 2013 12:28:09 +0200

ngcp-www-csc (3.6.1) unstable; urgency=low

  * Fix XCAP auto-provisioning URL.

 -- Andreas Granig <agranig@sipwise.com>  Wed, 22 May 2013 13:15:20 +0200

ngcp-www-csc (3.6.0) unstable; urgency=low

  * Align call lists to modified ossbss functions.

 -- Andreas Granig <agranig@sipwise.com>  Wed, 27 Mar 2013 10:33:44 +0100

ngcp-www-csc (3.5.2) unstable; urgency=low

  * Use post methods for all forms.

 -- Andreas Granig <agranig@sipwise.com>  Fri, 22 Feb 2013 10:23:30 +0100

ngcp-www-csc (3.5.1) unstable; urgency=low

  * Lots of localization fixes.
  * Update German Spanish translation. 
  * Fix handling of years older than current year in call forwarding time sets.

 -- Andrew Pogrebennyk <apogrebennyk@sipwise.com>  Thu, 07 Feb 2013 13:55:37 +0100

ngcp-www-csc (3.5.0) unstable; urgency=low

  [ dtiefnig ]
  * de.po,en.po,es.po,fr.po,messages.pot: update language files with strings from the templates
  * it.po: add italian I18N translation file

  [ dgrotti ]
  * it.po: some italian translation modified

  [ agranig ]
  * csc.conf: Migrate to new network.yml schema.
  * callforward_destination.tt,callforward_head.tt,callforward_mapping.tt,callforward_time.tt: Fix setting page title.

  [ jbonilla ]
  * es.po: update Spanish .po file

  [ cveigl ]
  * desktop.pm: indicate existence of active callforwards in desktop (mantis:2073)
  * addressbook.pm,call.pm,callforward.pm: public check_*() methods now also receive a %$data data structure instead of the old single scalar argument. update calls accordingly.

  [ apogrebennyk ]
  * csc.conf: add fax page to the main menu (as set by www_csc.main_menu.fax).
  * csc.conf: hide fax option from CE (yml setting is PRO-only already)
  * callforward_mapping.tt: localize CF type name

 -- Andrew Pogrebennyk <apogrebennyk@sipwise.com>  Fri, 21 Dec 2012 12:11:12 +0100

ngcp-www-csc (3.4.3) unstable; urgency=low

  * Make Jitsi config SRV friendly.

 -- Andreas Granig <agranig@sipwise.com>  Mon, 27 Aug 2012 16:57:25 +0200

ngcp-www-csc (3.4.2) unstable; urgency=low

  * Add very simple Jitsi autoprovisioning tool.

 -- Andreas Granig <agranig@sipwise.com>  Mon, 27 Aug 2012 16:13:24 +0200

ngcp-www-csc (3.4.1) unstable; urgency=low

  * Set www_csc version to 3.4.1. 

 -- Andrew Pogrebennyk <apogrebennyk@sipwise.com>  Mon, 20 Aug 2012 15:45:47 +0200

ngcp-www-csc (3.4.0) unstable; urgency=low

  [ dtiefnig ]
  * de.po,en.po,es.po,fr.po,messages.pot: add new strings to pot/po files
  * fix top menu higlighting for call forwards
  * remove transparency from PNGs, separate links to website and product
  * sipwise.css: add some space to the footer
  * fix some layout/style issues in call forward templates
  * call.pm: follow new dial_out parameters from ossbss r10321

  [ mprokop ]
  * control: Bump Standards-Version to 3.9.3
  * control,ngcp-www-csc.install: wrap and sort items in Debian packaging files

  [ jbonilla ]
  * control: Remove depends on deprecated packages

  [ cveigl ]
  * make perlcritic happy
  * account_pass.tt: turn off autocomplete when changing the password
  * callforward.pm: show subscribers active number
  * fax.pm,sipwise.css,header,fax.tt: add fax features to csc
  * fax.pm,fax.tt: fix display of bools; show error-message on mismatching passwords
  * fax.pm,csc.pm,fax.tt: fix nasty bug when creating first destination (discovered 
    by apogrebennyk); make access to form fields more coherent.
  * csc.pm: remove catalysts -Debug flag

 -- Andrew Pogrebennyk <apogrebennyk@sipwise.com>  Mon, 20 Aug 2012 15:07:48 +0200

ngcp-www-csc (3.3.3) unstable; urgency=low

  * Remove google analytics.

 -- Andrew Pogrebennyk <apogrebennyk@sipwise.com>  Mon, 18 Jun 2012 10:33:23 +0200

ngcp-www-csc (3.3.2) unstable; urgency=low

  [cveigl]
  * enabled setting of ringtimeout (mantis:1557)
  * set ringtimeout boundry to previous implementation 

 -- Andrew Pogrebennyk <apogrebennyk@sipwise.com>  Mon, 04 Jun 2012 15:47:03 +0200

ngcp-www-csc (3.3.1) unstable; urgency=low

  [ dtiefnig ]
  * Provisioning.pm: drop obsolete get_subscriber_byid method
  * callforward.pm,reminder.pm,Provisioning.pm: avoid Voip::get_subscriber functions where possible
  * callforward.pm: adapt get_voip_account_subscriber_by_id parameter
  * callforward.pm: fix load_subscriber provisioning call

  [ apogrebennyk ]
  * csc.pm: restore correct $VERSION

  [ cveigl ]
  * callforward.pm,sipwise.css,csc.js,callforward_time.tt: optical fixes for callforward
  * 7764.down,7764.up,db: moved up/down scripts to proper place
  * callforward.pm,sipwise.css,csc.js,callforward_destination.tt,callforward_mapping.tt,
    callforward_time.tt: bugfix, optics for mapping (mantis:1059)
  * callforward_destination.tt,callforward_time.tt: minor/optic

 -- Andrew Pogrebennyk <apogrebennyk@sipwise.com>  Tue, 03 Apr 2012 16:38:14 +0200

ngcp-www-csc (3.3.0) unstable; urgency=low

  [cveigl]
  * serial call forwarding in CSC
  * strip leading/trailing whitespaces from login

  [mprokop]
  * postinst script: use invoke-rc.d instead of directly invoking init script

 -- Andrew Pogrebennyk <apogrebennyk@sipwise.com>  Tue, 06 Mar 2012 18:01:40 +0100

ngcp-www-csc (3.2.0) unstable; urgency=low

  * german translation by Carsten Bock
  * automatically disabling various feature forms if they are not used
  * some minor fixes and improvements

 -- Daniel Tiefnig <dtiefnig@sipwise.com>  Fri, 02 Dec 2011 15:43:50 +0100

ngcp-www-csc (3.1.2) unstable; urgency=low

  * added french translation by Sebastien Lesimple

 -- Daniel Tiefnig <dtiefnig@sipwise.com>  Mon, 23 May 2011 21:51:12 +0200

ngcp-www-csc (3.1.1) unstable; urgency=low

  * some fixes for subscribers without E.164 number

 --  Daniel Tiefnig <dtiefnig@sipwise.com>  Fri, 29 Apr 2011 14:37:37 +0200

ngcp-www-csc (3.1.0) unstable; urgency=low

  [ Daniel Tiefnig ]
  * Redirecting port 80 to www_csc if port is unused.
  * Fix use of webusername for authentication.

  [ Andreas Granig ]
  * Changed authentication part to work on Debian Squeeze.
  * Make non-TT views work on Debian Squeeze.

 -- Michael Prokop <mprokop@sipwise.com>  Fri, 29 Apr 2011 02:28:29 +0200

ngcp-www-csc (3.0.1) unstable; urgency=low

  * only minor bugfixes, mainly documentation changes
  * copyright files are now included in the package correctly
  * dependencies for I18N support fixed
  * apache now redirects port 80 to www_csc

 -- Daniel Tiefnig <dtiefnig@sipwise.com>  Thu, 16 Dec 2010 13:28:36 +0100

ngcp-www-csc (3.0.0) unstable; urgency=medium

  * moved framework from /usr/local to /usr/share
  * created templates for centralized config
  * renamed packages to comply with our global naming policy
  * couple of smaller packaging and installer bugfixes
  * packaging not compatible with last release, forced new major version
  * completely new call forward handling which separates settings
  * GPLv3+ licensing!

 -- Daniel Tiefnig <dtiefnig@sipwise.com>  Thu, 02 Dec 2010 00:35:03 +0100

ngcp-www-csc (2.0.0) unstable; urgency=medium

  * lots of small bugfixes and enhancements
  * support for new plattform features
  * internationalization and localization support
  * configurable number normalization to support arbitrary dial plans
  * more flexible interface supports different deployment scenarios

 -- Daniel Tiefnig <dtiefnig@sipwise.com>  Thu, 14 Oct 2010 13:18:44 +0200

ngcp-www-csc (1.1.4) unstable; urgency=low

  * Initial release.

 -- Michael Prokop <mprokop@sipwise.com>  Tue, 10 Feb 2009 18:45:14 +0100
